# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Serveur: localhost Base de donnes: compte

# --------------------------------------------------------
#
# Structure de la table 'categorie'
#

CREATE TABLE categorie (
   id_categorie int(11) NOT NULL auto_increment,
   id_parent int(11),
   libelle varchar(30) NOT NULL,
   type char(1) NOT NULL,
   id_login int(11) NOT NULL,
   PRIMARY KEY (id_categorie)
);


# --------------------------------------------------------
#
# Structure de la table 'compte'
#

CREATE TABLE compte (
   id_compte int(11) NOT NULL auto_increment,
   numero varchar(40) NOT NULL,
   libelle varchar(80) NOT NULL,
   id_login int(11) NOT NULL,
   defaut char(1),
   PRIMARY KEY (id_compte)
);


# --------------------------------------------------------
#
# Structure de la table 'op_reguliere'
#

CREATE TABLE op_reguliere (
   id_op_reguliere int(11) NOT NULL auto_increment,
   id_compte int(11) NOT NULL,
   id_categorie int(11) NOT NULL,
   libelle varchar(60) NOT NULL,
   ordre int(11) NOT NULL,
   vir_cpt int(11) NOT NULL,
   date_operation date DEFAULT '0000-00-00' NOT NULL,
   repetition int(11) NOT NULL,
   derniere_valide date DEFAULT '0000-00-00' NOT NULL,
   montant decimal(10,2) DEFAULT '0.00' NOT NULL,
   intervall varchar(10) NOT NULL,
   PRIMARY KEY (id_op_reguliere)
);


# --------------------------------------------------------
#
# Structure de la table 'operation'
#

CREATE TABLE operation (
   id_operation bigint(20) NOT NULL auto_increment,
   id_compte int(11) NOT NULL,
   numero int(11),
   date date DEFAULT '0000-00-00' NOT NULL,
   libelle varchar(60) NOT NULL,
   ordre int(11),
   previsionnel char(1),
   vir_cpt varchar(15) NOT NULL,
   vir_opt bigint(20) NOT NULL,
   UNIQUE id_operation (id_operation)
);


# --------------------------------------------------------
#
# Structure de la table 'ordre'
#

CREATE TABLE ordre (
   id_ordre int(11) NOT NULL auto_increment,
   libelle varchar(30) NOT NULL,
   id_login int(11) NOT NULL,
   PRIMARY KEY (id_ordre)
);


# --------------------------------------------------------
#
# Structure de la table 'utilisateurs'
#

CREATE TABLE utilisateurs (
   id_login int(11) NOT NULL auto_increment,
   login varchar(20) NOT NULL,
   PRIMARY KEY (id_login),
   UNIQUE id_login (id_login),
   KEY id_login_2 (id_login)
);


# --------------------------------------------------------
#
# Structure de la table 'ventilation'
#

CREATE TABLE ventilation (
   id_operation bigint(20) NOT NULL,
   categorie int(11) NOT NULL,
   montant decimal(10,2) DEFAULT '0.00' NOT NULL
);
